### Method

# GUsb Device has_tag

since: 0.4.3

#### Declaration

    gboolean
    g_usb_device_has_tag (
      GUsbDevice* self,
      const gchar* tag
    )

#### Description

Checks if a tag has been used to identify the specific device.

Available since: 0.4.3

#### Parameters

`tag`

  Type: `const gchar*`

  A tag, for example `bootloader` or `runtime-reload`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` on success.